Does the Altiris Agent for Macintosh support Mac OS X 10.5?

Article:HOWTO8484  |  Created: 2008-01-15  |  Updated: 2009-12-17  |  Article URL http://www.symantec.com/docs/HOWTO8484
Article Type
How To



Question
Is Mac OS X 10.5 Leopard supported by the Notification Server Agent for Macintosh?

Answer
Notification Server 6:

Officially, the  6.2.1302 build of the NS Agent and Inventory Solution for Macintosh do not support the Mac OS X 10.5 (Leopard) platform. 

As of December 2009, an official hotfix has been released that provides support by the NS Agent for Macintosh, version 6.2.1302, for 10.5 and 10.6. Please see the following knowledge base article for more details:  https://kb.altiris.com/article.asp?article=50717&p=1.

Without this update, please note the following:

Known Issues:

  1. The push install from the Notification Server console fails. This is due to a hard-coded version check in the push install logic. The other installation methods work fine including installing by download, manually, and so on.

    Workaround:  In the 'Install Altiris Macintosh Agent' screen, highlight a 10.5 machine and click the 'Install Settings...' button. Scroll to the bottom of the 'Connection and Authentication' window. Select the 'Manually select OS type' radio button and select 'Mac OS X 10.4 (x86)' from the drop-down list. Click 'Apply'. The OS version checking logic of the push installation will be bypassed and the 6.2 agent will push install to a 10.5 client.

  2. The table 'inv_mac_os_users' is not populated. The command used in 6.2 to gather this data (nidump) is not available in Mac OS X 10.5. In 7.x, we will use the command dscl to gather user information.

Notification Server 7:

Notification Server 7.x officially supports Mac OS X 10.5 (Leopard).

 



Legacy ID



40059


Article URL http://www.symantec.com/docs/HOWTO8484


Terms of use for this information are found in Legal Notices